org.eclipse.ecf.remoteservice.util

## Class EndpointDescriptionPropertiesUtil

- java.lang.Object
- - org.eclipse.ecf.remoteservice.util.EndpointDescriptionPropertiesUtil

    public class EndpointDescriptionPropertiesUtil
    extends Object

Since:
  8.9

### Constructor Summary

Constructors
Constructor and Description
`EndpointDescriptionPropertiesUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Dictionary` `createDictionaryFromMap(Map propMap)`
`static Version` `getPackageVersion(Map<String,Object> endpointDescriptionProperties, String packageName)`
`static List<String>` `getStringPlusProperty(Map<String,?> properties, String key)`
`static ID[]` `verifyIDArray(Map<String,Object> properties, String propName, String idNamespace)`
`static ID` `verifyIDProperty(String idNamespace, String idName)`
`static Long` `verifyLongProperty(Map<String,Object> properties, String propName)`
`static List<String>` `verifyObjectClassProperty(Map<String,Object> endpointDescriptionProperties)`
`static String` `verifyStringProperty(Map<String,Object> properties, String propName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EndpointDescriptionPropertiesUtil

    public EndpointDescriptionPropertiesUtil()

### Method Detail

#### verifyStringProperty

    public static String verifyStringProperty(Map<String,Object> properties,
                                              String propName)

#### verifyLongProperty

    public static Long verifyLongProperty(Map<String,Object> properties,
                                          String propName)

#### verifyIDProperty

    public static ID verifyIDProperty(String idNamespace,
                                      String idName)

#### getStringPlusProperty

    public static List<String> getStringPlusProperty(Map<String,?> properties,
                                                     String key)

#### verifyIDArray

    public static ID[] verifyIDArray(Map<String,Object> properties,
                                     String propName,
                                     String idNamespace)

#### getPackageVersion

    public static Version getPackageVersion(Map<String,Object> endpointDescriptionProperties,
                                            String packageName)

#### verifyObjectClassProperty

    public static List<String> verifyObjectClassProperty(Map<String,Object> endpointDescriptionProperties)

#### createDictionaryFromMap

    public static Dictionary createDictionaryFromMap(Map propMap)